module top2(
input wire          sysclk        ,
input wire  [1:0]   sw            ,
output wire         led4_b        ,
output wire         led4_g        ,
output wire         led4_r        ,
output wire         led5_b        ,
output wire         led5_g        ,
output wire         led5_r        ,
output wire [3:0]   led           ,
input wire  [3:0]   btn           

);


wire [15:0] w_probe_in0 ;  
wire [15:0] w_probe_out0; 
wire w_clk_out1;

clk_wiz_0 u_cw0(
.reset   (0),
.clk_in1 (sysclk    ),
.clk_out1(w_clk_out1),
.locked  () 
);


vio_0 u_vio0(
.clk         (w_clk_out1        ),
.probe_in0   (w_probe_in0 [15:0]),
.probe_out0  (w_probe_out0[15:0]) 
);

assign w_probe_in0[3:0] = btn[3:0];
assign w_probe_in0[5:4] = sw [1:0];
assign led4_b        = w_probe_out0[9]  ;
assign led4_g        = w_probe_out0[8]  ;
assign led4_r        = w_probe_out0[7]  ;
assign led5_b        = w_probe_out0[6]  ;
assign led5_g        = w_probe_out0[5]  ;
assign led5_r        = w_probe_out0[4]  ;
assign led     [3:0] = w_probe_out0[3:0];

/*
design_1_wrapper u_bd0(
.DDR_addr         (),
.DDR_ba           (),
.DDR_cas_n        (),
.DDR_ck_n         (),
.DDR_ck_p         (),
.DDR_cke          (),
.DDR_cs_n         (),
.DDR_dm           (),
.DDR_dq           (),
.DDR_dqs_n        (),
.DDR_dqs_p        (),
.DDR_odt          (),
.DDR_ras_n        (),
.DDR_reset_n      (),
.DDR_we_n         (),
.FIXED_IO_ddr_vrn (),
.FIXED_IO_ddr_vrp (),
.FIXED_IO_mio     (),
.FIXED_IO_ps_clk  (),
.FIXED_IO_ps_porb (),
.FIXED_IO_ps_srstb()
);
*/
    
endmodule
